WebdavServlet.ProppatchOperation (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.catalina.servlets, class: WebdavServlet, class: ProppatchOperation

# Class WebdavServlet.ProppatchOperation

java.lang.Object
org.apache.catalina.servlets.WebdavServlet.ProppatchOperation

Enclosing class:
  `WebdavServlet`

public static class WebdavServlet.ProppatchOperation extends Object
Represents a PROPPATCH sub operation to be performed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProppatchOperation(WebdavServlet.PropertyUpdateType updateType, Node propertyNode)`
  PROPPATCH operation constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `getPropertyNode()`
  `boolean`
  `getProtectedProperty()`
  `int`
  `getStatusCode()`
  `WebdavServlet.PropertyUpdateType`
  `getUpdateType()`
  `void`
  `setStatusCode(int statusCode)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProppatchOperation

    public ProppatchOperation(WebdavServlet.PropertyUpdateType updateType, Node propertyNode)
    PROPPATCH operation constructor.
    Parameters:
      `updateType` - the update type, either SET or REMOVE
      `propertyNode` - the XML node that contains the property name (and value if SET)

- ## Method Details

  - ### getUpdateType

    public WebdavServlet.PropertyUpdateType getUpdateType()
    Returns:
      the updateType for this operation

  - ### getPropertyNode

    public Node getPropertyNode()
    Returns:
      the propertyNode the XML node that contains the property name (and value if SET)

  - ### getStatusCode

    public int getStatusCode()
    Returns:
      the statusCode to set as a result of the operation

  - ### setStatusCode

    public void setStatusCode(int statusCode)
    Parameters:
      `statusCode` - the statusCode to set as a result of the operation

  - ### getProtectedProperty

    public boolean getProtectedProperty()
    Returns:
      `true` if the property is protected